View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009252ParaViewBugpublic2009-07-10 10:272011-01-13 17:00
ReporterKen Moreland 
Assigned ToUtkarsh Ayachit 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.6.2Fixed in Version3.6.2 
Summary0009252: Plot over line drops partial arrays
DescriptionThe plot over line filter drops partial arrays of multiblock datasets. Instead, it should have them all and turn off the valid index if not in a block that defines the array. To replicate, do the following:

1. Open can.ex2. All variables on. Apply.
2. Open disk_out_ref.ex2. All variables on. Apply.
3. Group Datasets with both readers as input.
4. Plot Over Line.

Notice that the plot only contains variables that are common to both data sets (ObjectId and FileId). Missing are all the important field variables because they are partial in the grouped dataset.
TagsNo tags attached.
Project
Topic Name
Type
Attached Filespatch file icon Partial.BUG.9252.patch [^] (15,219 bytes) 2009-09-28 09:24 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0009257closedKen Moreland plots don't handle partial arrays 
related to 0009253closedJulien Finet Plot On Intersection Curves misbehaving for partial arrays 

-  Notes
(0016875)
Utkarsh Ayachit (administrator)
2009-07-15 11:43

I am not sure we can use the Valid-index. Are you saying we have a valid-index for every data array in the input?
(0016877)
Ken Moreland (manager)
2009-07-15 12:01

You're right. I hadn't thought that through. In that case, I don't know what the right solution is. I guess you'll have to pad the arrays with something. Perhaps NAN if its float or double and 0 otherwise.
(0017783)
Utkarsh Ayachit (administrator)
2009-09-28 09:26
edited on: 2009-09-29 17:14

Contrary to what we had thought before, plots don't support NaNs faithfully on all platforms. Consequently, we cannot simply use NaNs in probing for the charting to work as expected for partial arrays.

Given the future of the charts, I am hesitant to spend any time adding any new functionality to the charts.

Hence deferring it until 3.8, unless there are any objections.

(0017835)
Utkarsh Ayachit (administrator)
2009-09-29 17:13

Dave added support to plot NaNs, this bug is now back ON! :)
(0017865)
Utkarsh Ayachit (administrator)
2009-10-01 10:45
edited on: 2009-10-01 10:46

Fixed BUG 0009252 making it possible for vtkCompositeDataProbeFilter to not
remove partial array but instead fill them up with NaNs (or 0) for locations
where those arrays are not present. Default behavior remains unchanged. One has
to turn on a flag for this new behavior to come into play (defaults to ON in
ParaView).

ENH: Added API to vtkDataSetAttributes::FieldList to build a union list of
array. Taking union and intersection on the same instance of FieldList is not
supported.

/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/filters.xml,v <-- Servers/ServerManager/Resources/filters.xml
new revision: 1.374; previous revision: 1.373
/cvsroot/ParaView3/ParaView3/VTK/Filtering/vtkDataSetAttributes.cxx,v <-- VTK/Filtering/vtkDataSetAttributes.cxx
new revision: 1.31; previous revision: 1.30
/cvsroot/ParaView3/ParaView3/VTK/Filtering/vtkDataSetAttributes.h,v <-- VTK/Filtering/vtkDataSetAttributes.h
new revision: 1.14; previous revision: 1.13
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkCompositeDataProbeFilter.cxx,v <-- VTK/Graphics/vtkCompositeDataProbeFilter.cxx
new revision: 1.3; previous revision: 1.2
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkCompositeDataProbeFilter.h,v <-- VTK/Graphics/vtkCompositeDataProbeFilter.h
new revision: 1.3; previous revision: 1.2
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkProbeFilter.cxx,v <-- VTK/Graphics/vtkProbeFilter.cxx
new revision: 1.97; previous revision: 1.96
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkProbeFilter.h,v <-- VTK/Graphics/vtkProbeFilter.h
new revision: 1.57; previous revision: 1.56


Pending 3.6.2 commit.

(0017877)
Utkarsh Ayachit (administrator)
2009-10-01 14:25

/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/filters.xml,v <-- Servers/ServerManager/Resources/filters.xml
new revision: 1.345.2.8; previous revision: 1.345.2.7
/cvsroot/ParaView3/ParaView3/VTK/Filtering/vtkDataSetAttributes.cxx,v <-- VTK/Filtering/vtkDataSetAttributes.cxx
new revision: 1.30.6.1; previous revision: 1.30
/cvsroot/ParaView3/ParaView3/VTK/Filtering/vtkDataSetAttributes.h,v <-- VTK/Filtering/vtkDataSetAttributes.h
new revision: 1.12.6.2; previous revision: 1.12.6.1
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkCompositeDataProbeFilter.cxx,v <-- VTK/Graphics/vtkCompositeDataProbeFilter.cxx
new revision: 1.2.8.1; previous revision: 1.2
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkCompositeDataProbeFilter.h,v <-- VTK/Graphics/vtkCompositeDataProbeFilter.h
new revision: 1.2.8.1; previous revision: 1.2
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkProbeFilter.cxx,v <-- VTK/Graphics/vtkProbeFilter.cxx
new revision: 1.96.6.1; previous revision: 1.96
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkProbeFilter.h,v <-- VTK/Graphics/vtkProbeFilter.h
new revision: 1.56.8.1; previous revision: 1.56


/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkCompositeDataProbeFilter.cxx,v <-- VTK/Graphics/vtkCompositeDataProbeFilter.cxx
new revision: 1.2.8.2; previous revision: 1.2.8.1
(0017915)
Alan Scott (manager)
2009-10-02 16:31

Tested local server, XP, 3.6.2.

- Issue History
Date Modified Username Field Change
2009-07-10 10:27 Ken Moreland New Issue
2009-07-10 10:32 Ken Moreland Relationship added related to 0009253
2009-07-10 10:35 Ken Moreland Status backlog => tabled
2009-07-10 10:35 Ken Moreland Assigned To => Utkarsh Ayachit
2009-07-10 14:33 Ken Moreland Relationship added has duplicate 0009257
2009-07-15 11:43 Utkarsh Ayachit Note Added: 0016875
2009-07-15 12:01 Ken Moreland Note Added: 0016877
2009-09-08 17:00 Alan Scott Priority normal => high
2009-09-28 09:24 Utkarsh Ayachit File Added: Partial.BUG.9252.patch
2009-09-28 09:26 Utkarsh Ayachit Note Added: 0017783
2009-09-28 09:26 Utkarsh Ayachit Target Version 3.6.2 => 3.8
2009-09-29 17:13 Utkarsh Ayachit Note Added: 0017835
2009-09-29 17:13 Utkarsh Ayachit Target Version 3.8 => 3.6.2
2009-09-29 17:14 Utkarsh Ayachit Note Edited: 0017783
2009-10-01 10:45 Utkarsh Ayachit Note Added: 0017865
2009-10-01 10:46 Utkarsh Ayachit Note Edited: 0017865
2009-10-01 14:25 Utkarsh Ayachit Note Added: 0017877
2009-10-01 14:25 Utkarsh Ayachit Status tabled => @80@
2009-10-01 14:25 Utkarsh Ayachit Fixed in Version => 3.6.2
2009-10-01 14:25 Utkarsh Ayachit Resolution open => fixed
2009-10-02 16:31 Alan Scott Note Added: 0017915
2009-10-02 16:31 Alan Scott Status @80@ => closed
2011-01-13 17:00 Source_changeset_attached => VTK master a2bd8391
2011-01-13 17:00 Source_changeset_attached => VTK master 020ef709


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker